/**
 * XActClassDocumentEntryOrganizer.java
 *
 * File generated from the medication::XActClassDocumentEntryOrganizer uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration XActClassDocumentEntryOrganizer.
 *
 * 
 */

@XmlType(name = "XActClassDocumentEntryOrganizer")
@XmlEnum
@XmlRootElement(name = "XActClassDocumentEntryOrganizer")
public enum XActClassDocumentEntryOrganizer {
	@XmlEnumValue("BATTERY")
	BATTERY("BATTERY"),
	@XmlEnumValue("CLUSTER")
	CLUSTER("CLUSTER");
	
	private final String value;

    XActClassDocumentEntryOrganizer(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }

    public static XActClassDocumentEntryOrganizer fromValue(String v) {
        for (XActClassDocumentEntryOrganizer c: XActClassDocumentEntryOrganizer.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}